# Mandate Pdf

Source: https://docs.gocardless.com/docs/api-reference/mandate-pdf

## Create a mandate PDF

`POST /mandate_pdfs`

Generates a PDF mandate and returns its temporary URL.

Customer and bank account details can be left blank (for a blank mandate), provided manually, or inferred from the ID of an existing [mandate](#core-endpoints-mandates).

By default, we'll generate PDF mandates in English.

To generate a PDF mandate in another language, set the `Accept-Language` header when creating the PDF mandate to the relevant [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) language code supported for the scheme.

| Scheme           | Supported languages                                                                                                                          |
| :--------------- | :------------------------------------------------------------------------------------------------------------------------------------------- |
| ACH              | English (`en`)                                                                                                                               |
| Autogiro         | English (`en`), Swedish (`sv`)                                                                                                               |
| Bacs             | English (`en`)                                                                                                                               |
| BECS             | English (`en`)                                                                                                                               |
| BECS NZ          | English (`en`)                                                                                                                               |
| Betalingsservice | Danish (`da`), English (`en`)                                                                                                                |
| PAD              | English (`en`)                                                                                                                               |
| SEPA Core        | Danish (`da`), Dutch (`nl`), English (`en`), French (`fr`), German (`de`), Italian (`it`), Portuguese (`pt`), Spanish (`es`), Swedish (`sv`) |

### Request body

Wrap request body attributes in a `mandate_pdfs` object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `scheme` | string | No | Direct Debit scheme. Can be supplied or automatically detected from the bank account details provided. If you do not provide a scheme, you must provide either a mandate, an `iban`, or [local details](#appendix-local-bank-details) including a `country_code`. |
| `country_code` | string | No | [ISO 3166-1](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements) alpha-2 code. Required if providing local details. |
| `iban` | string | No | International Bank Account Number. Alternatively you can provide [local details](#appendix-local-bank-details). IBANs cannot be provided for Autogiro mandates. |
| `bic` | string | No | SWIFT BIC. Will be derived automatically if a valid `iban` or [local details](#appendix-local-bank-details) are provided. |
| `account_number` | string | No | Bank account number - see [local details](#appendix-local-bank-details) for more information. Alternatively you can provide an `iban`. |
| `bank_code` | string | No | Bank code - see [local details](#appendix-local-bank-details) for more information. Alternatively you can provide an `iban`. |
| `branch_code` | string | No | Branch code - see [local details](#appendix-local-bank-details) for more information. Alternatively you can provide an `iban`. |
| `account_holder_name` | string | No | Name of the account holder, as known by the bank. Usually this matches the name of the [customer](#core-endpoints-customers). This field cannot exceed 18 characters. |
| `given_name` | string | No | The customer's given name (i.e. first name). Used to populate the "Customer Name or Company name" field on the PDF. Ignored if `company_name` is provided. |
| `family_name` | string | No | The customer's family name (i.e. last name). Used to populate the "Customer Name or Company name" field on the PDF. Ignored if `company_name` is provided. |
| `company_name` | string | No | The customer's company name. Used to populate the "Customer Name or Company name" field on the PDF. |
| `mandate_reference` | string | No | Unique 6 to 18 character reference. This may be left blank at the point of signing. |
| `signature_date` | string | No | If provided, a form will be generated with this date and no signature field. |
| `phone_number` | string | No | The customer phone number. Should only be provided for BECS NZ mandates. |
| `swedish_identity_number` | string | No | For Swedish customers only. The civic/company number (personnummer, samordningsnummer, or organisationsnummer) of the customer. Should only be supplied for Autogiro mandates. |
| `danish_identity_number` | string | No | For Danish customers only. The civic/company number (CPR or CVR) of the customer. Should only be supplied for Betalingsservice mandates. |
| `address_line1` | string | No | The first line of the customer's address. |
| `address_line2` | string | No | The second line of the customer's address. |
| `address_line3` | string | No | The third line of the customer's address. |
| `city` | string | No | The city of the customer's address. |
| `region` | string | No | The customer's address region, county or department. For US customers a 2 letter [ISO3166-2:US](https://en.wikipedia.org/wiki/ISO_3166-2:US) state code is required (e.g. `CA` for California). |
| `postal_code` | string | No | The customer's postal code. |
| `account_type` | string | No | Bank account type. Required for USD-denominated bank accounts. Must not be provided for bank accounts in other currencies. See [local details](#local-bank-details-united-states) for more information. |
| `payer_ip_address` | string | No | For American customers only. IP address of the computer used by the customer to set up the mandate. This is required in order to create compliant Mandate PDFs according to the ACH scheme rules. |
| `subscription_amount` | string / integer | No | For American customers only. Subscription amount being authorised by the mandate. In the lowest denomination for the currency (cents in USD). Is required if `subscription_frequency` has been provided. |
| `subscription_frequency` | string | No | For American customers only. Frequency of the subscription being authorised by the mandate. One of `weekly`, `monthly` or `yearly`. Is required if `subscription_amount` has been provided. |
| `links` | object | No |  |

### Responses

| Status | Description |
| --- | --- |
| 201 | Resource created successfully |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |
